Index: fs/yaffs/yportenv.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/fs/yaffs/yportenv.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- fs/yaffs/yportenv.h	16 Nov 2004 17:16:25 -0000	1.1
+++ fs/yaffs/yportenv.h	24 Feb 2005 22:18:58 -0000	1.2
@@ -15,7 +15,7 @@
  *
  * Note: Only YAFFS headers are LGPL, YAFFS C code is covered by GPL.
  *
- * $Id: yportenv.h,v 1.1 2004/11/16 17:16:25 joff Exp $
+ * $Id: yportenv.h,v 1.2 2005/02/24 22:18:58 joff Exp $
  *
  */
  
@@ -46,8 +46,8 @@
 #define YMALLOC(x) kmalloc(x,GFP_KERNEL)
 #define YFREE(x)   kfree(x)
 
-#define YAFFS_ROOT_MODE				0666
-#define YAFFS_LOSTNFOUND_MODE		0666
+#define YAFFS_ROOT_MODE				0755
+#define YAFFS_LOSTNFOUND_MODE		0755
 
 #if (LINUX_VERSION_CODE > KERNEL_VERSION(2,5,0))
 #define Y_CURRENT_TIME CURRENT_TIME.tv_sec
@@ -99,8 +99,8 @@
 
 
 #define CURRENT_TIME 0
-#define YAFFS_ROOT_MODE				0666
-#define YAFFS_LOSTNFOUND_MODE		0666
+#define YAFFS_ROOT_MODE				0755
+#define YAFFS_LOSTNFOUND_MODE		0755
 
 #define yaffs_SumCompare(x,y) ((x) == (y))
 #define yaffs_strcmp(a,b) strcmp(a,b)
Index: fs/yaffs2/Makefile
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/fs/yaffs2/Makefile,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- fs/yaffs2/Makefile	9 Feb 2006 21:08:29 -0000	1.1
+++ fs/yaffs2/Makefile	29 Sep 2006 22:26:37 -0000	1.2
@@ -90,7 +90,7 @@
 O_TARGET := yaffs2.o
 
 #obj-y   := yaffs_fs.o yaffs_guts.o yaffs_ramem.o yaffs_mtdif.o yaffs_ecc.o yaffs_tagscompat.o yaffs_ramem2k.o yaffs_packedtags2.o yaffs_mtdif2.o
-obj-y   := yaffs_fs.o yaffs_guts.o yaffs_mtdif.o yaffs_ecc.o yaffs_tagscompat.o yaffs_packedtags2.o yaffs_mtdif2.o yaffs_tagsvalidity.o
+obj-y   := yaffs_fs.o yaffs_guts.o yaffs_mtdif.o yaffs_ecc.o yaffs_tagscompat.o yaffs_packedtags2.o yaffs_mtdif2.o yaffs_tagsvalidity.o yaffs_qsort.o yaffs_checkptrw.o yaffs_nand.o
 obj-m   := $(O_TARGET)
 
 EXTRA_CFLAGS += $(YAFFS2_CONFIGS)
Index: fs/yaffs2/devextras.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/fs/yaffs2/devextras.h,v
retrieving revision 1.1
retrieving revision 1.3
diff -u -r1.1 -r1.3
--- fs/yaffs2/devextras.h	9 Feb 2006 21:08:29 -0000	1.1
+++ fs/yaffs2/devextras.h	24 Apr 2007 19:30:25 -0000	1.3
@@ -1,8 +1,7 @@
 /*
- * YAFFS: Yet another FFS. A NAND-flash specific file system. 
- * devextras.h
+ * YAFFS: Yet another Flash File System . A NAND-flash specific file system. 
  *
- * Copyright (C) 2002 Aleph One Ltd.
+ * Copyright (C) 2002-2007 Aleph One Ltd.
  *   for Toby Churchill Ltd and Brightstar Engineering
  *
  * Created by Charles Manning <charles@aleph1.co.uk>
@@ -12,13 +11,13 @@
  * published by the Free Software Foundation.
  *
  * Note: Only YAFFS headers are LGPL, YAFFS C code is covered by GPL.
- *
+ */
+
+/*
  * This file is just holds extra declarations used during development.
  * Most of these are from kernel includes placed here so we can use them in 
  * applications.
  *
- * $Id: devextras.h,v 1.1 2006/02/09 21:08:29 michael Exp $
- *
  */
 
 #ifndef __EXTRAS_H__
Index: fs/yaffs2/moduleconfig.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/fs/yaffs2/moduleconfig.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- fs/yaffs2/moduleconfig.h	9 Feb 2006 21:08:29 -0000	1.1
+++ fs/yaffs2/moduleconfig.h	24 Apr 2007 19:30:25 -0000	1.2
@@ -1,3 +1,18 @@
+/*
+ * YAFFS: Yet another Flash File System . A NAND-flash specific file system. 
+ *
+ * Copyright (C) 2002-2007 Aleph One Ltd.
+ *   for Toby Churchill Ltd and Brightstar Engineering
+ *
+ * Created by Martin Fouts <Martin.Fouts@palmsource.com> 
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU Lesser General Public License version 2.1 as
+ * published by the Free Software Foundation.
+ *
+ * Note: Only YAFFS headers are LGPL, YAFFS C code is covered by GPL.
+ */
+
 #ifndef __YAFFS_CONFIG_H__
 #define __YAFFS_CONFIG_H__
 
@@ -27,6 +42,10 @@
 /* Meaning: Cache short names, taking more RAM, but faster look-ups */
 #define CONFIG_YAFFS_SHORT_NAMES_IN_RAM
 
+/* Default: 10 */
+/* Meaning: set the count of blocks to reserve for checkpointing */
+#define YAFFS_CHECKPOINT_RESERVED_BLOCKS 10
+
 #endif /* YAFFS_OUT_OF_TREE */
 
 #endif /* __YAFFS_CONFIG_H__ */
Index: fs/yaffs2/yaffs_checkptrw.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/fs/yaffs2/yaffs_checkptrw.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- fs/yaffs2/yaffs_checkptrw.c	29 Sep 2006 22:26:37 -0000	1.1
+++ fs/yaffs2/yaffs_checkptrw.c	24 Apr 2007 19:30:25 -0000	1.2
@@ -1,7 +1,7 @@
 /*
- * YAFFS: Yet another FFS. A NAND-flash specific file system. 
+ * YAFFS: Yet Another Flash File System. A NAND-flash specific file system.
  *
- * Copyright (C) 2002 Aleph One Ltd.
+ * Copyright (C) 2002-2007 Aleph One Ltd.
  *   for Toby Churchill Ltd and Brightstar Engineering
  *
  * Created by Charles Manning <charles@aleph1.co.uk>
@@ -9,11 +9,10 @@
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License version 2 as
  * published by the Free Software Foundation.
- *
  */
 
 const char *yaffs_checkptrw_c_version =
-    "$Id: yaffs_checkptrw.c,v 1.1 2006/09/29 22:26:37 joff Exp $";
+    "$Id: yaffs_checkptrw.c,v 1.2 2007/04/24 19:30:25 eddie Exp $";
 
 
 #include "yaffs_checkptrw.h"
@@ -43,13 +42,13 @@
 	if(!dev->eraseBlockInNAND)	
 		return 0;
 	T(YAFFS_TRACE_CHECKPOINT,(TSTR("checking blocks %d to %d"TENDSTR),
-		dev->startBlock,dev->endBlock));
+		dev->internalStartBlock,dev->internalEndBlock));
 		
-	for(i = dev->startBlock; i <= dev->endBlock; i++) {
-		yaffs_BlockInfo *bi = &dev->blockInfo[i];
+	for(i = dev->internalStartBlock; i <= dev->internalEndBlock; i++) {
+		yaffs_BlockInfo *bi = yaffs_GetBlockInfo(dev,i);
 		if(bi->blockState == YAFFS_BLOCK_STATE_CHECKPOINT){
 			T(YAFFS_TRACE_CHECKPOINT,(TSTR("erasing checkpt block %d"TENDSTR),i));
-			if(dev->eraseBlockInNAND(dev,i)){
+			if(dev->eraseBlockInNAND(dev,i- dev->blockOffset /* realign */)){
 				bi->blockState = YAFFS_BLOCK_STATE_EMPTY;
 				dev->nErasedBlocks++;
 				dev->nFreeChunks += dev->nChunksPerBlock;
